Holger's Java API

## com.antelmann.util
Interface DetailedString

All Known Subinterfaces:
  AddressInfo, Contact, Person

All Known Implementing Classes:
  AddressInfoImpl, BaseDocument, Category.Adapter, Category.Entry, Cell, ContactImpl, CounterMap, DataPoint, DBDocument, DBDocument.Header, DefaultMappingInfo, Email, EntryHeader, GeoLocation, GlobalAddress, GPerson, GPerson.Header, GUser, ImageURLEntry, ImageURLEntry.Thumbnail, ImmutableGlobalAddress, ImmutableSnailMailAddress, LockInfo, MutableCategory.Adapter, MutableCategory.Entry, PersonImpl, POP3Account.Config, PropertyEntryImpl, PropertyEntryWithAddress, RowItem, RSSChannel, RSSItem, SecureUserImpl, SnailMailAddress, Stub, UserImpl, WebdavException, XmlHelper, YouTubeVideo

    public interface DetailedString

implementing classes provide a String suitable for displaying their full instance details in a (potentially multi-line) String. Where the `Object.toString()` commonly provides a single-line text suitable for display in e.g. a listing, the detailed String provided by this interface is more suitable for exporting the fully detailed Object information as a String into other applications.

Since:
  07.01.2009, 16:49:43
Author:
  Holger Antelmann
See Also:
  `Object.toString()`

Method Summary
`String` `toDetailedString()` provides full details of this instance in a String.

Method Detail

### toDetailedString

    String toDetailedString()

  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Returns:
    a (potentially multi-line) String providing full details on this object instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads